
At that time in my life, I had moved in with my friend and her dad because I could not afford rent. I remember it was a morning when she had not spent the night there. I heard a slight knock at my door and then heard it open. I knew it was her dad and was embarrassed because I was exposed. I had a thong on, was lying on my side facing away from the door with the covers off my backside. I didn't move or let him know I was awake because that was embarrassing. I just wanted him to politely close the door and pretend he didn't see anything. I heard the door close and was relieved. I closed my eyes. Then I heard rummaging in my room; my tiny room hardly big enough for my twin size bed. I became frightened and froze with fear for a few moments. Finally, mustering up the courage to look, I turned. I don't remember anything else.

My NDE was confusing to me. I didn't understand what was happening because I had no idea why I was there. I was in space, in darkness, a void, and then came upon a suspended structure. It almost resembled half of a house, but with many more angles on the outside. I glided up the stairs, which began underneath the suspension in space up into a hallway. This place seemed little, yet large. I was waiting with someone but I couldn't see them. I asked without speaking what we were doing there. The presence said it was time for my review. I immediately felt ashamed because I knew I hadn't done my best.

I made clear I wasn't ready, but the door still opened. I saw a desk and books or scrolls, and a huge screen. The screen turned bright, so bright my earthly eyes would not be able to stand it. I knew I didn't have to be ashamed. It was a learning experience, but all of a sudden, I heard a loud bang and woke up.

I was confused. I woke up thinking I had just died, but didn't know how I would've died or why. Then I got up to get out of bed and realized my panties were half off, my breasts were exposed and there were panties hanging from the bedpost at the head of my bed. I still didn't consider that I was murdered at that point. I left for the day and when I came back her dad yelled at me and told me I was not welcome in his home. I cannot say for absolute certain, but I believe I was strangled with my own underwear that he found in my room.
